
(function(){var charHelper=(function(){function charHelper(){}
charHelper.prototype.isSpaceChar=function(char){return(char=='\u0020'||char=='\u0009'||char=='\u000a'||char=='\u000c'||char=='\u000d');};charHelper.prototype.isLowercaseAscii=function(onechar){var codeunit=onechar.charCodeAt(0);return(codeunit>=97&&codeunit<=122);};charHelper.prototype.isUppercaseAscii=function(onechar){var codeunit=onechar.charCodeAt(0);return(codeunit>=65&&codeunit<=90);};charHelper.prototype.isAscii=function(onechar){return this.isUppercaseAscii(onechar)||this.isLowercaseAscii(onechar);};charHelper.prototype.isAsciiDigit=function(inputstring){if(!inputstring){return false;}
for(var index=0;index<inputstring.length;index++){var onechar=inputstring[index];if(!this.isAsciiDigit(onechar)){if(onechar!='.'&&onechar!=','){return false;}}}
return true;};charHelper.prototype.isAsciiDigitChar=function(onechar){var codeunit=onechar.charCodeAt(0);return(codeunit>=48&&codeunit<=57);};charHelper.prototype.isAlphanumeric=function(onechar){return(this.isUppercaseAscii(onechar)||this.isLowercaseAscii(onechar)||this.isAsciiDigit(onechar));};charHelper.prototype.isAsciiHexDigit=function(onechar){if(this.isAsciiDigit(onechar)){return true;}
var codeunit=onechar.charCodeAt(0);if(codeunit>=65&&codeunit<=70){return true;}
if(codeunit>=97&&codeunit<=102)
{return true;}
return false;};charHelper.prototype.isUppercaseAsciiHexDigit=function(onechar){if(this.isAsciiDigit(onechar)){return true;}
var codeunit=onechar.charCodeAt(0);if(codeunit>=65&&codeunit<=70){return true;}
return false;};charHelper.prototype.isLowercaseAsciiHexDigits=function(onechar){if(this.isAsciiDigit(onechar)){return true;}
var codeunit=onechar.charCodeAt(0);if(codeunit>=97&&codeunit<=102){return true;}
return false;};return charHelper;}());Kooboo.charHelper=charHelper;})();